First time here? Check out the FAQ!
x

Journler for Mac with Mavericks OS.

0 votes
asked by about Journler
edited by

After upgrading my Mac to Mavericks OS the application stopped working. I tried downloading the latest version 2.5 but it still doesn't work. Is there a version of Journler compatible with Mavericks OS? If no, is there a similar application?

1 Answer

0 votes
answered by (80k points)
edited by

Unfortunately, the latest version of Journler, the 2.6 version, is compatible only with Mac OS Lion or Snow Leopard. Until now, the developers have't released a version that is compatible with Mavericks OS.

In order to find a similar application, you can visit the Mac Informer's website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...